function H=hh3_new(x)

% for x column vector of length 3,
% computes a unitary H such that H*x has the
% second and third entries equal to zero

% here we avoid reducing x(2:3) because 
% the entries might be both small; we use
% entries 1 and 2 and 1 and 3 instead
% (suggestion by Luca)

y=[x(1);x(3)];
H11=givens(y);
z=H11*y;
x=[z(1); x(2); z(2)];
H2=givens(x(1:2));
H1=[H11(1,1),0,H11(1,2);0,1,0;H11(2,1),0,H11(2,2)];
H2=[H2 zeros(2,1); 0 0 1];
H=H2*H1;